<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!--     <script type="module" src="./index.js"></script>
 -->
    <title>test evens source</title>
  </head>
  <body>
    <button id="notification-send">notification</button>
  </body>
  <script>
    const vEvent = new EventSource("http://10.1.5.168:3000/events");
    vEvent.onmessage = (ev) => {
      new Notification("MAJ BOB", {
        icon: "https://bob.budget-telecom.com/App_Themes/Theme02/Img/Button/16/bob.png",
        body: ev.data,
      });
    };

    document
      .getElementById("notification-send")
      .addEventListener("click", () => {
        Notification.requestPermission().then(function (result) {
          console.log(result);
        });
      });
  </script>
</html>
